
Figure - Bug #118393
【IOVDEV-31768】【VC1】【0095】【台架】【EE环境】【副屏】【launcher】卸载应用，等约10秒应用图标
消失,体验不佳
2023-05-31 15:53 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-31

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.C103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：20230531 13:54、14：10，第176次开机

https://ofs.human-horizons.com/#/download/index/PlXZwuzzscs%3D

【前提条件】：副屏已安装高德地图、迅捷音频转化器

【操作步骤】：1.长按应用-应用信息-应用卸载

【实际结果】：等约10s,应用图标消失

【期望结果】卸载后应用图标立刻消失

【备注】：

【硬件版本号】：/

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-05-31 15:55 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118393/tlog_iov0201017500006162025411a2212290000000771_000176_0531140950.tar.gz

#2 - 2023-05-31 16:10 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#3 - 2023-05-31 16:35 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

Hi 王宏

请确认一下当前卸载流程和卸载现象，基于当前实现是否有优化空间。

#4 - 2023-05-31 18:19 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO
- Assignee changed from CD APP-王宏 to CDTS_TEST 王成

■ Current conclusion

分析完毕

■ My analysis

根据视频2反应的时间点来看在 14:08:50 到 14:09:05 之间，搜索该时间段内卸载的包名 com.hudun.audioconverter 发现

// 14:08:51.056 点击卸载的时间

kernel/000176_kernel_00000_230531_140057.log:1302:05-31 14:08:51.056     0     0 I [16159.736892] sdcardfs: removing com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1369:05-31 14:08:51.713  1528  1528 W WifiService: Couldn't get PackageInfo for package:com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1370:05-31 14:08:51.715  1528  1528 D WifiService: Remove settings for package:com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1371:05-31 14:08:51.715  1528  1528 I GameManagerService: Disabling downscale for com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1372:05-31 14:08:51.715  1528  1797 D WifiConfigManager: Remove all networks for app ApplicationInfo{35d2b16

com.hudun.audioconverter}

logcat/000176_manual_00028_230531_140824.log:1385:05-31 14:08:51.726  1528  1528 I Telecom : CarModeTracker: Package com.hudun.audioconverter is not tracked.:

SSH.oR@AHI

logcat/000176_manual_00028_230531_140824.log:1387:05-31 14:08:51.727 30392 30392 I PackageReceiver: not daemon app or action is null : com.hudun.audioconverter,

action : android.intent.action.PACKAGE_REMOVED

logcat/000176_manual_00028_230531_140824.log:1396:05-31 14:08:51.731  1528  1528 W WifiService: Couldn't get PackageInfo for package:com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1397:05-31 14:08:51.731  1528  1528 D WifiService: Remove settings for package:com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1398:05-31 14:08:51.731  1528  1528 I notification_cancel_all: [1000,1528,com.hudun.audioconverter,0,0,0,5,NULL]

logcat/000176_manual_00028_230531_140824.log:1399:05-31 14:08:51.731  1528  1528 I ConditionProviders: Disallowing condition provider com.hudun.audioconverter

(userSet: true)

logcat/000176_manual_00028_230531_140824.log:1411:05-31 14:08:51.737  6998  6998 D a71_ads_client: pack unistall :com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1422:05-31 14:08:51.746  1528  1797 I PasspointManager: No app ops listener found for com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1423:05-31 14:08:51.746  1528  1797 D WifiConfigManager: Remove all networks for app ApplicationInfo{b18127f

com.hudun.audioconverter}

logcat/000176_manual_00028_230531_140824.log:1442:05-31 14:08:51.748 30392 30392 I PackageReceiver: not daemon app or action is null : com.hudun.audioconverter,

action : android.intent.action.PACKAGE_REMOVED

logcat/000176_manual_00028_230531_140824.log:1449:05-31 14:08:51.756  1528  1797 I PasspointManager: No app ops listener found for com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1463:05-31 14:08:51.757 17033 17033 D a71_ads_client: Pack removed : com.hudun.audioconverter

logcat/000176_manual_00028_230531_140824.log:1567:05-31 14:08:51.781 17033 17033 D a71_ads_client: pack unistall :com.hudun.audioconverter

// 14:09:04.579 Launcher收到卸载反馈的时间

logcat/000176_manual_00030_230531_140855.log:1588:05-31 14:09:04.579  2499  2499 D Launcher.Model: package removed received com.hudun.audioconverter

logcat/000176_manual_00030_230531_140855.log:1603:05-31 14:09:04.580  2499  2499 D PackageUpdatedTask: PackageUpdatedTask constructor:

op=3,user=UserHandle{0},packages=[com.hudun.audioconverter]

logcat/000176_manual_00030_230531_140855.log:1616:05-31 14:09:04.580  2499  2574 D PackageUpdatedTask: Removing app iconcom.hudun.audioconverter

logcat/000176_manual_00030_230531_140855.log:1617:05-31 14:09:04.587  2499  2574 D ModelWriter: removing items from db com.hudun.audioconverter

而在该时间段内还发现了

ActivityManager: Killing 21432:com.kugou.android.auto/u0a143 (adj 999): empty #31

ActivityManager: Killing 12840:com.ss.android.ugc.aweme:push/u0a160 (adj 935): empty #31

以及大量的

lowmemorykiller: Ignoring pressure since per-zone watermarks ok

■ Next action

推测可能是内存不够，影响了系统的处理效率。

由于只提供了短时间内的日志，不能具体分析出是不是内存原因，

需要提供一下现场是否有启动什么大型的应用，游戏，或者启动了大量的应用的情况

另外，如果可以复现，可否提供一下 adb shell top 执行后的截图，方便排查
#5 - 2023-06-03 13:56 - CD TEST-方永红

- File top.mp4 added

- File xiezaiapp.gz added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD APP-王宏

#6 - 2023-06-05 19:58 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

■ Current conclusion

分析完毕

■ My analysis

新添加的内容没有可用信息。

■ Next action

这边无法复现，请将造成这种情况的前置操作描述一下

#7 - 2023-06-05 19:58 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD TEST-方永红

#8 - 2023-07-17 16:57 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户产品回复：可维持现状

#9 - 2023-07-17 16:57 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#10 - 2023-07-17 16:57 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

screen-20230531-135357.mp4 7.61 MB 2023-05-31 CDTS_TEST 王成

screen-20230531-140913.mp4 4.52 MB 2023-05-31 CDTS_TEST 王成

top.mp4 46 MB 2023-06-03 CD TEST-方永红

xiezaiapp.gz 7.13 MB 2023-06-03 CD TEST-方永红
